<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Matrix Library</TITLE>
<link href="suifmath_4.html" rel=Next>
<link href="suifmath_2.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_2.html">previous</A>, <A HREF="suifmath_4.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC3" HREF="suifmath_toc.html#TOC3">Matrix Library</A></H1>
<P>
<A NAME="IDX18"></A>

</P>
<P>
The integer matrices in SUIF are defined by the class
<CODE>integer_matrix</CODE>. The matrices are built up by a set of rows.  The
rows are defined by the class <CODE>integer_row</CODE>.  The number of rows
and columns of a matrix can be found using the functions <CODE>m()</CODE> and
<CODE>n()</CODE> respectively.  (Example: <CODE>A.m()</CODE> returns the number of
rows of the matrix <CODE>A</CODE>.)

</P>
<P>
<A NAME="IDX19"></A>
<A NAME="IDX20"></A>
<A NAME="IDX21"></A>
<A NAME="IDX22"></A>
<A NAME="IDX23"></A>
<A NAME="IDX24"></A>
<A NAME="IDX25"></A>
<A NAME="IDX26"></A>
<A NAME="IDX27"></A>
<A NAME="IDX28"></A>
<A NAME="IDX29"></A>

</P>


<UL>
<LI><A HREF="suifmath_4.html#SEC4">Matrix Manipulation</A>: How to create, reshape and change matrices
<LI><A HREF="suifmath_5.html#SEC5">Matrix Math</A>: Mathematical operations that can be done on matrices
<LI><A HREF="suifmath_6.html#SEC6">A Single Row</A>: Creating and manipulating a single row
</UL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_2.html">previous</A>, <A HREF="suifmath_4.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
